
#ifndef __PC__
#include <p33FJ64GP306.h>
#endif
unsigned int temp_count;

#ifdef __PC__
#include <windows.h>
#endif

void Delay8Tcy(void)	// short delay for LCD E signal, etc
{

#ifndef __PC__
	//Fcy = 33.864MHz. 8 cycles = 236ns
	asm volatile("nop");
	asm volatile("nop");
	asm volatile("nop");
	asm volatile("nop");
	asm volatile("nop");
	asm volatile("nop");
	asm volatile("nop");
	asm volatile("nop");
#else
	Sleep(1);
#endif
	return;
}

// long delay. Delay_Us(1) = about 45us

void Delay_Us( unsigned int delayUs_count )
{
#ifndef __PC__
	temp_count = delayUs_count +1;
	asm volatile("outer1: dec _temp_count");	
	asm volatile("cp0 _temp_count");
	asm volatile("bra z, done1");
	asm volatile("do #1500, inner1" );	
	asm volatile("nop");
	asm volatile("inner1: nop");
	asm volatile("bra outer1");
	asm volatile("done1:");
#else
	Sleep(1);
#endif
}

void Delay_ms(unsigned int delayms)
{
#ifdef __PC__
	Sleep(delayms);
#endif
    Delay_Us(delayms * 25);
}
